Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007050TestLinkBug Tracking System - JIRA Integrationpublic2015-04-09 18:172015-09-19 08:49
Reporterfman 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.12 (2014 Q3) 
Fixed in Version1.9.14 (2015 Q3) 
Summary0007050: JIRA REST - Possibility to specify custom fields on XML configuration
DescriptionDue to differences between SOAP API (that will be deprecated on JIRA) and REST API, configuration is a little bit different.

Not all custom field types are currently supported
(see
https://developer.atlassian.com/jiradev/api-reference/jira-rest-apis/jira-rest-api-tutorials/jira-rest-api-example-create-issue#JIRARESTAPIExample-CreateIssue-Examplesofhowtosetcustomfielddataforotherfieldtypes [^])

 
Full example (please pay attention to BOLD lines)
<issuetracker>
<username>testlink.forum</username>
<password>forum</password>
<uribase>https://testlink.atlassian.net/</uribase> [^]
<uriapi>https://testlink.atlassian.net/rest/api/latest/</uriapi> [^]
<projectkey>ZOFF</projectkey>
<issuetype>1</issuetype>
<userinteraction>1</userinteraction>


<attributes>
  <customFieldValues>
     <customField>
        <customfield>customfield_10800</customfield>
        <type>numberfield</type>
        <values><value>111</value></values>
     </customField>
     
     <customField>
        <customfield>customfield_10900</customfield>
        <type>multiselect</type>
        <values><value>Yamaha Factory Racing</value><value>Ducati</value></values>
      
</customField>

      <customField>
         <customfield>customfield_11301</customfield>
         <type>selectlist</type>
         <values><value>Sabre</value></values>
      </customField>

      <customField>
         <customfield>customfield_11300</customfield>
         <type>freetextfield</type>
         <values><value>Deep Purple Stormbringer</value></values>
      </customField>
  
  </customFieldValues>
</attributes>


</issuetracker>



@20150411 - following types have been tested
NumberField
MultiSelect
SelectList
FreeTextField

Implemented but not tested yet
MultiGroupPicker
MultiUserPicker
DatePickerField
DateTimeField
RadioButton
Labels
               

TagsNo tags attached.
Database (MySQL,Postgres,etc)N/A
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
related to 0006920closedfman Allow JIRA REST has similar configuration as JIRA SOAP 
child of 0006830closedfman Availables hot-fixes for 1.9.13 & How To get full fixed package from GitHub 

-  Notes
(0023073)
fman (administrator)
2015-04-11 14:31

Commit:
https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/d990e5f5a96ce364f948f30594b6c7becc28f8d8 [^]
(0023960)
fman (administrator)
2015-09-19 08:49

1.9.14 Padawan - released - 2015-09-19

- Issue History
Date Modified Username Field Change
2015-04-09 18:17 fman New Issue
2015-04-09 18:17 fman Status new => assigned
2015-04-09 18:17 fman Assigned To => fman
2015-04-09 18:17 fman Issue generated from: 0006920
2015-04-09 18:17 fman Relationship added related to 0006920
2015-04-09 18:19 fman View Status public => private
2015-04-09 18:19 fman Description Updated View Revisions
2015-04-11 14:19 fman Description Updated View Revisions
2015-04-11 14:23 fman Description Updated View Revisions
2015-04-11 14:24 fman Description Updated View Revisions
2015-04-11 14:29 fman View Status private => public
2015-04-11 14:31 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2015-04-11 14:31 fman Note Added: 0023073
2015-04-11 14:31 fman Status assigned => resolved
2015-04-11 14:31 fman Fixed in Version => 1.9.14 (2015 Q3)
2015-04-11 14:31 fman Resolution open => fixed
2015-04-11 14:31 fman Relationship added child of 0006830
2015-09-19 08:49 fman Note Added: 0023960
2015-09-19 08:49 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker